<?php
/**
 * @file demo.php
 *
 * Demo der Hashfunktionen
 *
 * @package		phonemes - http://www.feenders.de
 * @copyright	Copyright (C) Computer - Daten - Netze : Feenders. All rights reserved.
 * @license  	GNU/GPL, see LICENSE
 * @created      24.01.14
 * @version      1.0
 * @author		Dirk Hoeschen (hoeschen@feenders.de)
 */

header('Content-Type: text/html; charset=UTF-8');
mb_internal_encoding('UTF-8');
require_once("phonemes.php");

$teststring = (isset($_POST) && isset($_POST["teststring"])) ? $_POST["teststring"] : "Es gibt im Moment in diese Mannschaft, oh, einige Spieler vergessen ihnen Profi was sie sind. Ich lese nicht sehr viele Zeitungen, aber ich habe gehört viele Situationen. Erstens: wir haben nicht offensiv gespielt. Es gibt keine deutsche Mannschaft spielt offensiv und die Name offensiv wie Bayern. Letzte Spiel hatten wir in Platz drei Spitzen: Elber, Jancka und dann Zickler. Wir müssen nicht vergessen Zickler. Zickler ist eine Spitzen mehr, Mehmet eh mehr Basler. Ist klar diese Wörter, ist möglich verstehen, was ich hab gesagt? Danke. Offensiv, offensiv ist wie machen wir in Platz. Zweitens: ich habe erklärt mit diese zwei Spieler: nach Dortmund brauchen vielleicht Halbzeit Pause. Ich habe auch andere Mannschaften gesehen in Europa nach diese Mittwoch. Ich habe gesehen auch zwei Tage die Training. Ein Trainer ist nicht ein Idiot!";
$vergleich = (isset($_POST["compare"])) ? $_POST["compare"] : "Midwoch";
$vergleich = phonemes::cleanString($vergleich);
$testhash = phonemes::getCologneHash($vergleich);
$treffer = array();
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:jdoc="http://www.w3.org/2001/XInclude" xml:lang="de" lang="de">
<head>
    <meta charset='utf-8'>
    <title>Hash-Generator - Demo</title>
    <link href="base.css" media="all" rel="stylesheet" type="text/css" />
</head>
<body>
<form action="demo.php" id="testform" name="testform" method="post"  >
    <div class="content">
        <?php $hashes =  phonemes::getHashesFromString($teststring);?>
        <h1>Test der Phonemklasse</h1>
        <h4>Testtext</h4>
        <textarea name="teststring" style="width: 100%; height: 120px;"><?=$teststring?></textarea>
        <p><strong>Hashwerte des Texttextes:</strong>
            <?php
            if (!empty($hashes)) {
				foreach ($hashes AS $word => $hash) {
					echo  "&raquo;".$word.":".$hash." ";
					if ($hash==$testhash) $treffer[] = $word;
				}
			}
            ?>
        </p>
        <hr/>
        <h4>Wort auf Vorhandensein getestet</h4>
        <input type="text" name="compare" value="<?=$vergleich?>" />
        <hr/>
        <p><strong>Emittelter Hash:</strong> <?=$testhash?></p>
        <p><strong>Vorkommen:</strong>
            <?php if (empty($treffer)) : ?>
            <i>Keine Treffer!!!!</i>
            <?php
                else :
                    foreach ($treffer AS $word) {
                        echo  "&raquo;".$word;
                    }
                endif;
            ?>

        </p>
        <button type="submit">Absenden</button>
    </div>
</form>
</body>
</html>
